if [ -z "$EDG_LOCATION" -a -f /etc/sysconfig/edg ]; then
   . /etc/sysconfig/edg
fi

if [ -z "$EDG_LOCATION" ]; then
   EDG_LOCATION=/opt/edg
fi

export EDG_LOCATION

if [ -z "$EDG_WL_LOCATION" ]; then
   EDG_WL_LOCATION=$EDG_LOCATION
fi

export EDG_WL_LOCATION

if [ -z "$EDG_WL_USER" ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

export EDG_WL_USER

if [ -z "$EDG_WL_LOCATION_VAR" ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

export EDG_WL_LOCATION_VAR

if [ -z "$EDG_WL_TMP" ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

export EDG_WL_TMP

if [ ! -d $GLOBUS_LOCATION ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

if [ ! -d $GLOBUS_LOCATION ]; then
   echo "GLOBUS_LOCATION not found"
fi

if [ -z "$EDG_WL_PATH" ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

if [ -z "$PATH" ]; then
   export PATH=$EDG_WL_PATH
else
   for i in `echo "$EDG_WL_PATH" | tr : '\12'`
   do
      case :$PATH: in
      *:$i:*)
       continue
       ;;
      *)
         export PATH=$PATH":"$i
      esac
   done
fi

if [ -z "$EDG_WL_LIBRARY_PATH" ]; then
   . $EDG_WL_LOCATION/etc/edg-wl-vars.sh
fi

if [ -z "$LD_LIBRARY_PATH" ]; then
   export LD_LIBRARY_PATH=$EDG_WL_LIBRARY_PATH
else
   for i in `echo "$EDG_WL_LIBRARY_PATH" | tr : '\12'`
   do
      case :$LD_LIBRARY_PATH: in
      *:$i:*)
       continue
       ;;
      *)
         export LD_LIBRARY_PATH=$LD_LIBRARY_PATH":"$i
      esac
   done
fi

export HOSTNAME=`/bin/hostname -f`
